new;
library mars,optmum,pgraph;

load data[50,6] = epp.dat;
ind = seqa(1,1,50);

_epp_J = 6;

output file = epp.out reset;

{alpha,I} = epp(data,1,0);

output off;

z = _epp_z;   /* Data "sphering" */
U = _epp_U;   /* Eigenvectors    */
d = _epp_d;   /* Eigenvalues     */
SIGMA = _epp_SIGMA;  /* var-covar matrix of the "sphered" data */

X = Xcreate(alpha,z);
R = Rtransform(X);


graphset;
  _pdate = ""; _pnum = 2; _plctrl = -1; _pstype = 8;
  title("Exploratory Projection Pursuit");
  xlabel("observation");
  ylabel("X");
  _pline = 1~6~0~0~100~0~0~7~0;
  xtics(1,50,1,0);
  xy(ind,X);


graphset;
  _pdate = ""; _pnum = 2; _plctrl = -1; _pstype = 8;
  title("Exploratory Projection Pursuit");
  xlabel("observation");
  ylabel("R");
  ytics(-1.25,1.25,0.25,0);
  _pline = 1~6~0~0~100~0~0~7~0;
  xtics(1,50,1,0);
  xy(ind,R);
